I just purchased the wasabiDX and it worked great and all, i downloaded a bunch of PAL games on my ntsc wii. I read about how updating pal games on a ntsc could brick a system, but i updated one game by accident not remembering that it was a pal disk. So long story short, my wii now is semi bricked with the settings opera message.

I know one of the solutions is to download a game with a newer firmware thats NTSC, but the problem is i updated my wii with a Marvel Ultimate Alliance 2 and that game just got released in mid september of 2009. I tried to update my wii with wii fit plus which was released in october of 2009, but i received no option to update my wii, which leads me to assume that i have one of the latest firmwares right now (but not version 4.2).

Right now i have no idea what firmware i am on, but i know my wii factory settings was 3.4u.

I was thinking of installing homebrew, and going through that process of downgrading my wii, but i have no idea if my wii is still at version 3.4 or now at firmware 4.x. Also i don't have zelda.

So whats the best way to approach this? any clues/ideas?

Thanks for any tips!